﻿@model IEnumerable<SocialSecurity>
@{
    int i = 0;
}
<form asp-action="saveSecurityEstimate" class="form fv-plugins-bootstrap fv-plugins-framework" id="SSEstimate_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizardRealodExplicitVue">
    <button id="btn-save-exit-hidden" class="d-none"></button>
    <div class="wizard-content-height">
        @if (Model.Count() > 0)
        {
            @foreach (var item in Model)
            {
                <h6 class="display-title">@item.EmployerTitle</h6>
                <input asp-for="@item.Guid" name="socialSecurity[@i].Guid" />
                <input asp-for="@item.EmploymentOf" name="socialSecurity[@i].EmploymentOf" type="hidden" />
                <div class="divssretirementbenefit-@i">
                    <div class="form-group d-flex mb-2">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-custom switch-sm">
                                <label>
                                    <input type="checkbox" asp-for="@item.ssretirementbenefit" id="ssretirementbenefit_@i" name="socialSecurity[@i].ssretirementbenefit">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label form-check-label align-self-center" for="ssretirementbenefit_@i">
                            Are you eligible to receive Social Security retirement benefits?
                        </label>
                    </div>
                </div>
                <div class="d-none divssLegally-@i">
                    <div class="form-group d-flex mb-2">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-custom switch-sm">
                                <label>
                                    <input type="checkbox" asp-for="@item.ssLegally" id="ssLegally_@i" name="socialSecurity[@i].ssLegally">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label form-check-label align-self-center" for="ssLegally_@i">
                            Are you legally exempt based upon one of the following exemptions?
                        </label>
                    </div>
                </div>
                <div class="divClergy-@i">
                    <span class="font-italic">
                        (Clergy Exemption, Qualifying religious exemption, Nonresident aliens, Temporary
                        student exemption, Foreign government exemption)
                    </span>
                </div>
                <div class="divssexemptionStatus-@i">
                    <div>
                        <label>Please provide an explanation for your exemption status:</label>
                        <textarea asp-for="@item.ssexemptionStatus" cols="70" class="form-control form-control-lg" name="socialSecurity[@i].ssexemptionStatus" maxlength="500"></textarea>
                    </div>
                </div>
                <div class="d-none divssreceiving-@i">
                    <div class="form-group mb-2 d-flex">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-outline switch-custom switch-sm">
                                <label>
                                    <input type="checkbox" asp-for="@item.ssreceiving" id="ssreceiving_@i" name="socialSecurity[@i].ssreceiving">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label col-form-label" for="ssreceiving_@i">
                            Are you currently receiving Social Security?
                        </label>
                    </div>
                </div>
                <div class="d-none divssmonthly-@i">
                    <div class="col-12 row">
                        <label class="w-300px col-form-label">What is your monthly Social Security Benefit?</label>
                        <div class="w-110">
                            <input asp-for="@item.ssmonthly" class="form-control form-control-sm currency w-120px required" name="socialSecurity[@i].ssmonthly" min="0" maxlength="4" type="text">
                        </div>
                    </div>
                </div>
                <div class="d-none divsSageBenifitsEnum-@i col-12 row mb-2">
                    <label class="col-form-label w-550px">At what age do you plan to start receiving your Social Security benefit?</label>
                    <div class="w-110px">
                        <select class="form-control form-control-sm required" asp-for="@item.sSageBenifitsEnum" name="socialSecurity[@i].sSageBenifitsEnum" asp-items="@ViewBag.expectedAges">
                        </select>
                    </div>
                </div>
                <div class="col-12 row d-none divssexpexting-@i">
                    <label class="col-form-label w-550px">How much Social Security benefit are you expecting to receive monthly?</label>
                    <div class="w-110px">
                        <input asp-for="@item.ssexpexting" class="form-control form-control-sm currency required" name="socialSecurity[@i].ssexpexting" min="0" maxlength="4" type="text">
                    </div>
                </div>
                <div class="d-none divCertain-@i mb-0">
                    <label class="col-form-label">
                        Certain types of retirement incomes may affect Social Security Retirement benefits:
                    </label>
                </div>
                <div class="d-none divssGovPension-@i">
                    <div class="form-group d-flex mb-2">
                        <div class="align-self-center mr-2">
                            <span class="switch switch-icon switch-custom switch-sm">
                                <label>
                                    <input type="checkbox" asp-for="@item.ssGovPension" name="socialSecurity[@i].ssGovPension">
                                    <span></span>
                                </label>
                            </span>
                        </div>
                        <label class="switch-label form-check-label align-self-center" for="socialSecurity[@i].ssGovPension">
                            Do you have a Federal, State, or Municipal pension with a Government Pension Offset(GPO)?
                        </label>
                    </div>
                </div>
                @if (item.EmploymentOf.ToString() != (ClientTypeEnum.Spouse).ToString())
                {
                    <div class="mb-2 row d-none ml-1 divssChildBenefits-@i">
                        <label class="col-form-label w-250px">Surviving Child Benefits Estimate</label>
                        <div class="w-110px">
                            <input asp-for="@item.ssChildBenefits" class="form-control form-control-sm currency required" name="socialSecurity[@i].ssChildBenefits" min="0" maxlength="5" type="text">
                        </div>
                    </div>
                }
                <div class="row d-none divssexemptionStatusRadio-@i">
                    <div class="col-xl-10">
                        <div class="form-group mb-0">
                            <label class="col-form-label font-weight-bold font-radio-title">Please select the appropriate exemption option below:</label>
                            <div class="radio-list">
                                @foreach (var item1 in Html.GetEnumSelectList<SSexemptionEnum>())
                                {
                                    var text = EnumHelper.ToEnum<SSexemptionEnum>(item1.Value).GetDescription();
                                    <label class="radio radio-outline radio-outline-2x">
                                        <input type="radio" @(item1.Value == ((int)item.sSexemptionEnum).ToString() ? "checked" : "") value="@item1.Value" id="@item1.Value" name="socialSecurity[@i].sSexemptionEnum">
                                        <span></span>
                                        <text>
                                            @item1.Text<i class="icon-md fas fa-info-circle ml-2 text-warning" data-toggle="tooltip" data-placement="right" title="@text"></i>
                                        </text>
                                    </label>
                                }
                            </div>
                        </div>
                    </div>
                </div>
                <hr />
                i++;
            }
            <div class="form-group">
                To provide you with the most accurate report, please visit <a href="https://www.SSA.gov" target="_blank">www.SSA.gov</a> and save your most recent Social Security statement to your computer. Below, please browse to the saved file of your statement and upload.
            </div>
        }
        <partial name="_WizardFooter" />
    </div>
</form>
<script type="text/javascript">
    autosize($('textarea'));
    $("#SSEstimate_form").validate({
        errorPlacement: function() { },
        errorClass: "input-validation-error",
        invalidHandler: function() {
            _showFormMessage("SSEstimate_form", "danger", "Provide information in all required fields.", "fas fa-exclamation-triangle");
        }
    });
    var totalItems = @Model.Count();
    for (var i = 0; i < totalItems; i++) {
        var chk1 = $("#ssretirementbenefit_" + i).is(":checked");
        var chk2 = $("#ssreceiving_" + i).is(":checked");
        var chk3 = $("#ssLegally_" + i).is(":checked");
        var showhideSS = function(chk1, chk2, chk3, i) {
            resetAll(i);
            if (chk1 == true) { // true
                if (chk2 == true) { // true
                    $(".divssmonthly-" + i).removeClass("d-none");
                    $(".divCertain-" + i).removeClass("d-none");
                    $(".divssGovPension-" + i).removeClass("d-none");
                    $(".divssLegally-" + i).addClass("d-none");
                    $(".divssChildBenefits-" + i).removeClass("d-none");
                    $("#ssLegally_" + i).val(false);

                } else { // true false

                    $(".divsSageBenifitsEnum-" + i).removeClass("d-none");
                    $(".divssexpexting-" + i).removeClass("d-none");
                    $(".divCertain-" + i).removeClass("d-none");
                    $(".divssGovPension-" + i).removeClass("d-none");
                    $(".divssLegally-" + i).addClass("d-none");
                    $(".divssChildBenefits-" + i).removeClass("d-none");
                    $("#ssLegally_" + i).val(false);
                }
            }
            else { // false
                if (chk3 == true) { // false true
                    $(".divClergy-" + i).removeClass("d-none");
                    $(".divssexemptionStatusRadio-" + i).removeClass("d-none");
                    $(".divssreceiving-" + i).addClass("d-none")
                    $("#ssreceiving__" + i).val(false);
                }
                else { // false false
                    $(".divClergy-" + i).removeClass("d-none");
                    $(".divssexemptionStatus-" + i).removeClass("d-none");
                    $(".divssreceiving-" + i).addClass("d-none");
                    $("#ssreceiving__" + i).val(false);
                }
            }
        }
        showhideSS(chk1, chk2, chk3, i);
        $("#ssretirementbenefit_" + i + ",#ssreceiving_" + i + ",#ssLegally_" + i).change(function() {
            var id = $(this).attr("id");
            var index = id.charAt(id.length - 1);
            var chk1 = $("#ssretirementbenefit_" + index).is(":checked");
            var chk2 = $("#ssreceiving_" + index).is(":checked");
            var chk3 = $("#ssLegally_" + index).is(":checked");
            $(`[name='socialSecurity[${index}].ssmonthly']`).val("");
            $(`[name='socialSecurity[${index}].ssexpexting']`).val("");
            $(`[name='socialSecurity[${index}].sSageBenifitsEnum']`).val(null).change();
            showhideSS(chk1, chk2, chk3, index)
        });
        $(`[name='socialSecurity[${i}].sSageBenifitsEnum']`).change(function() {
            $(".alert").remove();
        })
        function resetAll(i) {
            $(".divssreceiving-" + i).removeClass("d-none");
            $(".divssLegally-" + i).removeClass("d-none");
            $(".divssmonthly-" + i).addClass("d-none");
            $(".divCertain-" + i).addClass("d-none");
            $(".divssGovPension-" + i).addClass("d-none");
            $(".divClergy-" + i).addClass("d-none");
            $(".divssexemptionStatus-" + i).addClass("d-none");
            $(".divsSageBenifitsEnum-" + i).addClass("d-none");
            $(".divssexpexting-" + i).addClass("d-none");
            $(".divssexemptionStatusRadio-" + i).addClass("d-none");
            $(".divssChildBenefits-" + i).addClass("d-none");
        }
    }
</script>